Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Interface MetaObjectBase

All Known Implementing Classes:
  JboException, JboWarning, ObjectTypeHelper, MetaObjectManager

public interface MetaObjectBase

Internal: Applications should not use this class.

Field Summary
`static int` | `TYP_APP_MODULE`
`static int` | `TYP_ATTRIBUTE`
`static int` | `TYP_COMPONENT_OBJECT`
`static int` | `TYP_DEF_APP_MODULE`
`static int` | `TYP_DEF_ATTRIBUTE`
`static int` | `TYP_DEF_COMPONENT_OBJECT`
`static int` | `TYP_DEF_DOMAIN`
`static int` | `TYP_DEF_ENTITY_ASSOC`
`static int` | `TYP_DEF_ENTITY_OBJECT`
`static int` | `TYP_DEF_PACKAGE`
`static int` | `TYP_DEF_VIEW_LINK`
`static int` | `TYP_DEF_VIEW_OBJECT`
`static int` | `TYP_DOMAIN`
`static int` | `TYP_ENTITY_ASSOC`
`static int` | `TYP_ENTITY_OBJECT`
`static int` | `TYP_ENTITY_ROW`
`static int` | `TYP_ENTITY_ROW_SET`
`static int` | `TYP_ENTITY_ROW_SET_ITERATOR`
`static int` | `TYP_PACKAGE`
`static int` | `TYP_VALIDATOR_TYPE`
`static int` | `TYP_VIEW_LINK`
`static int` | `TYP_VIEW_OBJECT`
`static int` | `TYP_VIEW_ROW`
`static int` | `TYP_VIEW_ROW_SET`
`static int` | `TYP_VIEW_ROW_SET_ITERATOR`

Field Detail

### TYP_DEF_APP_MODULE

    public static final int TYP_DEF_APP_MODULE

### TYP_DEF_VIEW_OBJECT

    public static final int TYP_DEF_VIEW_OBJECT

### TYP_DEF_VIEW_LINK

    public static final int TYP_DEF_VIEW_LINK

### TYP_DEF_ENTITY_OBJECT

    public static final int TYP_DEF_ENTITY_OBJECT

### TYP_DEF_ENTITY_ASSOC

    public static final int TYP_DEF_ENTITY_ASSOC

### TYP_DEF_ATTRIBUTE

    public static final int TYP_DEF_ATTRIBUTE

### TYP_DEF_DOMAIN

    public static final int TYP_DEF_DOMAIN

### TYP_DEF_COMPONENT_OBJECT

    public static final int TYP_DEF_COMPONENT_OBJECT

### TYP_DEF_PACKAGE

    public static final int TYP_DEF_PACKAGE

### TYP_APP_MODULE

    public static final int TYP_APP_MODULE

### TYP_VIEW_OBJECT

    public static final int TYP_VIEW_OBJECT

### TYP_VIEW_ROW_SET

    public static final int TYP_VIEW_ROW_SET

### TYP_VIEW_ROW_SET_ITERATOR

    public static final int TYP_VIEW_ROW_SET_ITERATOR

### TYP_VIEW_ROW

    public static final int TYP_VIEW_ROW

### TYP_VIEW_LINK

    public static final int TYP_VIEW_LINK

### TYP_ENTITY_OBJECT

    public static final int TYP_ENTITY_OBJECT

### TYP_ENTITY_ROW_SET

    public static final int TYP_ENTITY_ROW_SET

### TYP_ENTITY_ROW_SET_ITERATOR

    public static final int TYP_ENTITY_ROW_SET_ITERATOR

### TYP_ENTITY_ROW

    public static final int TYP_ENTITY_ROW

### TYP_ENTITY_ASSOC

    public static final int TYP_ENTITY_ASSOC

### TYP_ATTRIBUTE

    public static final int TYP_ATTRIBUTE

### TYP_DOMAIN

    public static final int TYP_DOMAIN

### TYP_PACKAGE

    public static final int TYP_PACKAGE

### TYP_VALIDATOR_TYPE

    public static final int TYP_VALIDATOR_TYPE

### TYP_COMPONENT_OBJECT

    public static final int TYP_COMPONENT_OBJECT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD